Added ability to upload apps as both app.xml or app.zip.
Added a number of app.xml files for built-in apps.
Added ability to install & activate in one command.

Change-Id: I3fa5fa487ef76d9fe3da4d6dce8045d538cba423
diff --git a/tools/test/bin/onos-app b/tools/test/bin/onos-app
index d474ef3..31b87d3 100755
--- a/tools/test/bin/onos-app
+++ b/tools/test/bin/onos-app
@@ -14,7 +14,11 @@
 case $cmd in
     list) $curl -X GET $URL;;
     install) $curl -X POST $HDR $URL --data-binary @$app;;
+    install!) $curl -X POST $HDR $URL?activate=true --data-binary @$app;;
     uninstall) $curl -X DELETE $URL/$app;;
     activate) $curl -X POST $URL/$app/active;;
     deactivate) $curl -X DELETE $URL/$app/active;;
+    *) echo "usage: onos-app {install|install!} <app-file>" >&2
+       echo "       onos-app {activate|deactivate|uninstall} <app-name>" >&2
+       exit 1;;
 esac